## kodi-inputstream-ffmpegdirect-dmo 19.0.3

=== depends/android/libzvbi/CMakeLists.txt ===
project(libzsvbi)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

list(APPEND zvbi_conf CPPFLAGS=-I${CMAKE_INSTALL_PREFIX}/include)
list(APPEND zvbi_conf LDFLAGS=-L${CMAKE_INSTALL_PREFIX}/lib)

if (CORE_SYSTEM_NAME STREQUAL osx)
  list(APPEND zvbi_conf CFLAGS=-fnested-functions)
elseif (CORE_SYSTEM_NAME STREQUAL android)
  list(APPEND zvbi_conf LIBS=-liconv)
endif()

include(ExternalProject)
externalproject_add(libzsvbi
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${CMAKE_INSTALL_PREFIX}
                      --enable-shared=no
                      --enable-static
                      --disable-dvb
                      --disable-bktr
                      --disable-nls
                      --disable-proxy
                      --without-doxygen
                      ${zvbi_ldflags}
                      ${zvbi_conf})

install(CODE "Message(Done)")
