=== debian/changelog ===
kodi-inputstream-ffmpegdirect-dmo (1:19.0.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Jun 2022 09:00:17 +0200

kodi-inputstream-ffmpegdirect-dmo (1:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jun 2022 17:59:38 +0200

kodi-inputstream-ffmpegdirect-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 19:19:17 +0100

kodi-inputstream-ffmpegdirect-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 17:59:05 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Jul 2021 07:40:05 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jul 2021 18:12:03 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Jul 2021 11:54:32 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Jul 2021 07:34:57 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.4-dmo2) unstable; urgency=medium

  * Add libswresample-dev, libpostproc-dev and libavfilter-dev to Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Jul 2021 11:14:37 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Jul 2021 10:38:05 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 15:30:05 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 May 2021 18:05:10 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Apr 2021 23:55:57 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.21.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Apr 2021 00:56:58 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.20.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Apr 2021 16:46:06 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.19.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Apr 2021 08:37:45 +0200

kodi-inputstream-ffmpegdirect-dmo (1:1.19.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 08:44:06 +0100

kodi-inputstream-ffmpegdirect-dmo (1:1.19.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Mar 2021 13:27:13 +0100

kodi-inputstream-ffmpegdirect-dmo (1:1.19.2-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Jan 2021 10:56:04 +0100
