=== debian/watch ===
version=4

https://github.com/xbmc/inputstream.ffmpegdirect/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@
